Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.ant.input
Class XInput

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              edu.internet2.middleware.ant.input.XInput

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.taskdefs.condition.Condition

    public class XInput

extends org.apache.tools.ant.Task
implements org.apache.tools.ant.taskdefs.condition.Condition

Extended version of `org.apache.tools.ant.taskdefs.Input`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`XInput()` No arg constructor.

Method Summary
`void` | `addConfiguredXoption(XInputOption option)`
`void` | `addText(String msg)` Set a multiline message.
`boolean` | `eval()`
`void` | `execute()` Actual method executed by ant.
`Boolean` | `getCaseSensitive()`
`void` | `setAddproperty(String addproperty)` Defines the name of a property to be created from input.
`void` | `setCaseSensitive(Boolean b)`
`void` | `setDefaultvalue(String defaultValue)` Defines the default value of the property to be created from input.
`void` | `setMessage(String message)` Sets the Message which gets displayed to the user during the build run.
`void` | `setType(String type)`
`void` | `setValidargs(String validArgs)` Defines valid input parameters as comma separated strings.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XInput

    public XInput()

  No arg constructor.

Method Detail

### setCaseSensitive

    public void setCaseSensitive(Boolean b)

### getCaseSensitive

    public Boolean getCaseSensitive()

### setValidargs

    public void setValidargs(String validArgs)

  Defines valid input parameters as comma separated strings. If set, input task will reject any input not defined as accepted and requires the user to reenter it. Validargs are case sensitive. If you want 'a' and 'A' to be accepted you need to define both values as accepted arguments.

  Parameters:
    `validargs` - A comma separated String defining valid input args.

### setAddproperty

    public void setAddproperty(String addproperty)

  Defines the name of a property to be created from input. Behaviour is according to property task which means that existing properties cannot be overridden.

  Parameters:
    `addproperty` - Name for the property to be created from input

### setMessage

    public void setMessage(String message)

  Sets the Message which gets displayed to the user during the build run.

  Parameters:
    `message` - The message to be displayed.

### setDefaultvalue

    public void setDefaultvalue(String defaultValue)

  Defines the default value of the property to be created from input. Property value will be set to default if not input is received.

  Parameters:
    `defaultvalue` - Default value for the property if no input is received

### setType

    public void setType(String type)

### addConfiguredXoption

    public void addConfiguredXoption(XInputOption option)

### addText

    public void addText(String msg)

  Set a multiline message.

  Parameters:
    `msg` - The message to be displayed.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Actual method executed by ant.

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### eval

    public boolean eval()

  Specified by:
    `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.